package com.flyer.foster.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 *
 * </p>
 *
 * @author shuhao
 * @since 2025-03-16
 */
@Getter
@Setter
@TableName("tb_address")
public class TbAddress implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String districts;

    /**
     * 详细地址
     */
    private String address;

    /**
     * 用户id
     */
    private Integer appUserId;

    /**
     * 地址顺序
     */
    @TableField(value = "`sort`")
    private Integer sort;

    @TableField(exist = false)
    private Integer isDefault;


}
