package com.flyer.foster.service.rpc.species.model;

import lombok.Data;

/**
 * 水果品种
 */
@Data
public class SpeciesItem implements java.io.Serializable{
    private static final long serialVersionUID = 1L;

    private Long id;


    private String name;


    private String code;


    private String color;


    private Long speciesId;


    private String icon;

    /**
     * 成熟类型（1 特早熟，2 早熟 ，3中晚熟）
     */

    private Integer matureType;

    /**
     * 排序
     */
    private Integer sort;

    private Integer dev;


}
