package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * TreeAddDTO
 *
 * @author kelei
 * @since 2024/5/9/10:54
 */
@Data
public class TreeAddDTO {

    /**
     * 果树id
     */
    @NotNull(message = "果树id不能为空")
    private Integer sampleId;

    /**
     * 果树名称
     */
    private String name;

    /**
     * 认养码
     */
    private String fosterCode;

}
