package com.flyer.foster.service;

import com.flyer.foster.entity.TbFarmFosterCode;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 果园 服务类
 * </p>
 *
 * @author shuhao
 * @since 2025-03-14
 */
public interface ITbFarmFosterCodeService extends IService<TbFarmFosterCode> {

    String generateFosterCode(Integer farmId);

    /**
     * 根据果园id和领养码获取领养码信息
     * @param farmId
     * @param fosterCode
     * @return
     */
    TbFarmFosterCode getFosterCodeByFosterCode(Integer farmId, String fosterCode);

    void useFosterCode(String fosterCode);

}
