package com.flyer.foster.service.rpc.farm;

import com.flyer.foster.service.rpc.farm.model.FeignFarmDto;
import com.flyer.foster.service.rpc.farm.model.ZFarmWorkRecordSampleDetailVo;
import com.flyer.model.PageAndListResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestParam;

/**
 *  农事管理模块Feign客户端接口
 */
@FeignClient(contextId = "FeignFarmService",value = "birdseye-new-api",path = "/rpc/farm")
public interface FeignFarmService {
    /**
     * 农场信息
     * @return
     */
    @GetMapping("/get")
    FeignFarmDto get(@RequestParam Integer farmId);

}
