package com.flyer.foster.service.rpc.farm.model;

import lombok.Data;
import java.time.LocalDate;
import java.time.LocalDateTime;
import com.alibaba.fastjson.annotation.JSONField;
import java.math.BigDecimal;
import java.util.List;

@Data
public class ZFarmWorkOrderPesticideFertilizerVo {

        /**
        * id
        */
    @JSONField(ordinal = 0)
    private Long id;


        /**
        * 订单id
        */
    @JSONField(ordinal = 2)
    private Long orderId;

        /**
        * 药肥id
        */
    @JSONField(ordinal = 4)
    private Long pesticideFertilizerId;
    /**
        * 药肥编码
        */
    @JSONField(ordinal = 4)
    private String pesticideFertilizerCode;

    /**
     * 药肥名称
     */
    @JSONField(ordinal = 5)
    private String pesticideFertilizerName;

    /**
     * 功效类型名称
     */
    @JSONField(ordinal = 6)
    private String typeName;

        /**
        * 品牌
        */
    @JSONField(ordinal = 6)
    private String brand;

        /**
        * 单价
        */
    @JSONField(ordinal = 8)
    private BigDecimal price;

        /**
        * 单位
        */
    @JSONField(ordinal = 10)
    private String unit;

        /**
        * 执行方式
        */
    @JSONField(ordinal = 12)
    private Integer executeStyle;

    /**
     * 亩用量
     */
    private Integer muUsage;
    /**
     * 亩用量无人机
     */
    private Integer muUsage2;

    /**
     * 单亩价格
     */
    private BigDecimal muPrice;

    /**
     * 默认配比
     */
    private Integer defaultRatio;
    /**
     * 默认无人机配比
     */
    private Integer defaultDroneRatio;

    /**
     * 配比
     */
    private Integer ratio;
    /**
     * 配比无人机
     */
    private Integer ratio2;

    /**
     * 默认名称
     */
    private String defaultName;

    /**
     * 使用方式
     */
    private String usageMode;

    /**
     * 使用方式列表
     */
    @JSONField(serialize = false)
    private String usageModeOption;

    /**
     * 使用方式列表
     */
    private List<String> usageModeList;

    /**
     * 备注
     */
    private String remark;





}
