package com.flyer.foster.service.rpc.species;

import com.flyer.foster.service.rpc.species.model.LzBotanyTypeDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(contextId = "FeignBotanyTypeService",value = "feiniao-weather",path = "/botany_type")
public interface FeignBotanyTypeService {

    /**
     * 植物大类以及植物类型
     * @return
     */
    @GetMapping("/list")
    List<LzBotanyTypeDto> list();
}
