package com.flyer.model;

import lombok.Data;
import org.springframework.data.domain.Page;

import java.util.List;
@Data
public class PageAndListResult<T> implements java.io.Serializable {

    public PageAndListResult(){}

    public PageAndListResult(Page<T> page) {
        this.dataList = page.getContent();
        this.totalPages = page.getTotalElements();
    }

    private List<T> dataList;
    private Long totalPages;

    // getters and setters
}
